searchData={"items":[{"type":"module","title":"PhoenixLiveViewFlashTimer","doc":"Automatically clears flash messages after a specified timeout in Phoenix LiveView.\n\nThis module provides automatic flash message clearing for both controller-set\nflash messages and LiveView put_flash calls.","ref":"PhoenixLiveViewFlashTimer.html"},{"type":"module","title":"Installation - PhoenixLiveViewFlashTimer","doc":"Add to your `mix.exs`:\n\n    {:phoenix_liveview_flash_timer, \"~> 0.1.0\"}","ref":"PhoenixLiveViewFlashTimer.html#module-installation"},{"type":"module","title":"Usage - PhoenixLiveViewFlashTimer","doc":"","ref":"PhoenixLiveViewFlashTimer.html#module-usage"},{"type":"module","title":"Basic Setup (LiveView flash messages only) - PhoenixLiveViewFlashTimer","doc":"In your `YourAppWeb` module:\n\n    def live_view do\n      quote do\n        use Phoenix.LiveView\n        use PhoenixLiveViewFlashTimer\n\n        # ... rest of your code\n      end\n    end\n\nThis will automatically clear flash messages created with `put_flash/3` in your LiveViews.","ref":"PhoenixLiveViewFlashTimer.html#module-basic-setup-liveview-flash-messages-only"},{"type":"module","title":"Full Setup (Controller + LiveView flash messages) - PhoenixLiveViewFlashTimer","doc":"To also handle flash messages set by controllers (e.g., after form submissions, redirects),\nadd the `on_mount` hook:\n\n    def live_view do\n      quote do\n        use Phoenix.LiveView\n        use PhoenixLiveViewFlashTimer\n        on_mount PhoenixLiveViewFlashTimer  # Add this line for controller flash support\n\n        # ... rest of your code\n      end\n    end","ref":"PhoenixLiveViewFlashTimer.html#module-full-setup-controller-liveview-flash-messages"},{"type":"module","title":"Configuration - PhoenixLiveViewFlashTimer","doc":"You can configure the default timeout in your config:\n\n    config :phoenix_liveview_flash_timer,\n      default_timeout: 5000  # milliseconds (default: 5000)","ref":"PhoenixLiveViewFlashTimer.html#module-configuration"},{"type":"module","title":"How it works - PhoenixLiveViewFlashTimer","doc":"- **LiveView flash messages**: When you call `put_flash(socket, :info, \"Message\")`,\n  a timer is automatically started to clear the message after the specified timeout.\n\n- **Controller flash messages**: When you include `on_mount PhoenixLiveViewFlashTimer`,\n  the module checks for existing flash messages during LiveView mount and starts\n  a timer to clear them.","ref":"PhoenixLiveViewFlashTimer.html#module-how-it-works"},{"type":"module","title":"Examples - PhoenixLiveViewFlashTimer","doc":"# In a LiveView - automatically cleared after 5 seconds\n    socket = put_flash(socket, :info, \"Data saved successfully!\")\n\n    # In a LiveView - custom timeout\n    socket = put_flash(socket, :error, \"Something went wrong\", 10000)\n\n    # In a controller - will be cleared after 5 seconds when LiveView mounts\n    # (requires on_mount PhoenixLiveViewFlashTimer)\n    conn\n    |> put_flash(:info, \"Account created successfully!\")\n    |> redirect(to: ~p\"/dashboard\")","ref":"PhoenixLiveViewFlashTimer.html#module-examples"},{"type":"function","title":"PhoenixLiveViewFlashTimer.on_mount/4","doc":"on_mount callback that automatically starts flash timer for controller flash messages.","ref":"PhoenixLiveViewFlashTimer.html#on_mount/4"},{"type":"function","title":"PhoenixLiveViewFlashTimer.put_flash/3","doc":"Enhanced put_flash that automatically sets a timer to clear the flash message.","ref":"PhoenixLiveViewFlashTimer.html#put_flash/3"},{"type":"function","title":"PhoenixLiveViewFlashTimer.put_flash/4","doc":"","ref":"PhoenixLiveViewFlashTimer.html#put_flash/4"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}